version: "2.4"
services:
  hydra:
    image: linuxserver/hydra2
    container_name: hydra
    environment:
      PUID: 1000
      PGID: 1000
      TZ: Australia/Melbourne
      VIRTUAL_HOST: "hydra.home.toozhao.com"
      VIRTUAL_PORT: 5075
      LETSENCRYPT_HOST: "hydra.home.toozhao.com"
      LETSENCRYPT_EMAIL: "me@toozhao.com"
    volumes:
      - /mnt/hydra:/config
      - /mnt/hydra_downloads:/downloads
    restart: unless-stopped
    mem_limit: 1024m
    mem_reservation: 128m
    cpu_percent: 20
    networks:
      - gateway_default
networks:
  gateway_default:
    external: true
